Skip to main content
PUT
Update product

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Path Parameters

id
integer
required

The product ID

Example:

1

Body

application/json
type
enum<string>

Product type: goods, service, consu (consumable).

Available options:
goods,
service
Example:

"goods"

name
string

Product name (max 255 characters). Must not be greater than 255 characters.

Example:

"Laptop Computer"

service_tracking
string | null

Must not be greater than 255 characters.

Example:

"b"

reference
string | null

Internal reference code (max 255 characters). Must not be greater than 255 characters.

Example:

"PROD-001"

barcode
string | null

Product barcode (max 255 characters). Must not be greater than 255 characters.

Example:

"1234567890"

price
number

Sales price (minimum 0). Must be at least 0.

Example:

999.99

cost
number | null

Product cost (minimum 0). Must be at least 0.

Example:

750

volume
number | null

Product volume (min 0, max 99999999999). Must be at least 0. Must not be greater than 99999999999.

Example:

0.5

weight
number | null

Product weight (min 0, max 99999999999). Must be at least 0. Must not be greater than 99999999999.

Example:

2.5

description
string | null

Product description.

Example:

"High-performance laptop with latest specifications."

description_purchase
string | null

Purchase description.

Example:

"Enterprise laptop for business use."

description_sale
string | null

Sales description.

Example:

"Perfect for professionals and power users."

enable_sales
boolean | null

Whether this product can be sold.

Example:

false

enable_purchase
boolean | null

Whether this product can be purchased.

Example:

false

is_favorite
boolean | null

Mark this product as favorite.

Example:

false

images
string[] | null
Example:
uom_id
integer | null

Unit of measure ID.

Example:

1

uom_po_id
integer | null

Purchase unit of measure ID.

Example:

1

category_id
integer

Product category ID. The id of an existing record in the products_categories table.

Example:

1

company_id
integer | null

Company ID this product belongs to.

Example:

1

tags
integer[]

The id of an existing record in the products_tags table.

Example:
property_account_income_id
integer | null

Income account ID for this product. The id of an existing record in the accounts_accounts table.

Example:

1

property_account_expense_id
integer | null

Expense account ID for this product. The id of an existing record in the accounts_accounts table.

Example:

2

image
string | null
Example:

"architecto"

service_type
string | null
Example:

"architecto"

sale_line_warn
string | null
Example:

"architecto"

expense_policy
string | null
Example:

"architecto"

invoice_policy
enum<string> | null

Invoice policy: "order" (invoice on order) or "delivery" (invoice on delivery).

Available options:
order,
delivery
Example:

"order"

sale_line_warn_msg
string | null
Example:

"architecto"

sales_ok
boolean | null

Whether this product can be sold.

Example:

false

purchase_ok
boolean | null

Whether this product can be purchased.

Example:

false

Response

Success